<?php
/**
* フレームワーク例外の基底クラス
*
* PHP version 5
*
* @package    base
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/


class CharcoalException extends Exception
{
	static $id_counter = 0;

	private $_id;
	private $_backtrace;

	public function __construct( $message )
	{
		parent::__construct( $message );

		$this->_backtrace = new BackTrace();
		$id = ++ self::$id_counter;
		$this->_id = 'E' . $id;
	}

	/*
	 *	ハッシュコード
	 */
	public function hashCode()
	{
		return $this->_id;
	}

	/**
	 *   バックトレース
	 */
	public function getBackTrace()
	{
		return $this->_backtrace;
	}
}
return __FILE__;
